Get an organization - Arize AX Docs
Get an organization
cURL
curl --request GET \
--url https://api.arize.com/v2/organizations/{org_id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.arize.com/v2/organizations/{org_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/organizations/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/organizations/{org_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/organizations/{org_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.get("https://api.arize.com/v2/organizations/{org_id}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/organizations/{org_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Status Codes
- 200: Successful retrieval of organization data.
- 400: Invalid request parameters.
- 401: Authentication required.
- 404: Resource not found.
- 429: Rate limit exceeded.
Sample Response
Successful Response (200)
{
"id": "T3JnYW5pemF0aW9uOjE6YUJjRA==",
"name": "Agent Engineering Team",
"description": "Organization for the Agent Engineering team",
"created_at": "2024-01-01T12:00:00Z"
}
Error Response (400)
{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}
Error Response (401)
{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}
Error Response (404)
{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}
Error Response (429)
{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}
Authorization
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format Authorization: Bearer <token>.
Path Parameters
org_id
- Type: string
- Required: Yes
- Description: The unique organization identifier (base64) is a universally unique identifier (base64-encoded opaque string).
- Example:
"RW50aXR5OjEyMzQ1"
Response Object
An organization is a top-level container within an account for grouping spaces and managing access control. Organizations enable team separation with role-based access control at the organization level.
- id: Unique identifier for the organization (string, required)
- Example:
"RW50aXR5OjEyMzQ1"
- Example:
- name: Name of the organization (string, required)
- description: A brief description of the organization's purpose (string, required)
- created_at: Timestamp for when the organization was created (string
, required)